import { Component, h } from '@stencil/core';
export class NkSoldOut {
  render() {
    return (h("div", { part: "sold-out-container", class: "mdc-touch-target-wrapper" },
      h("button", { part: "sold-out-text", disabled: true, class: "mdc-button mdc-button--raised" },
        h("span", { class: "mdc-button__ripple" }),
        h("span", { class: "mdc-button__touch" }),
        h("span", { class: "mdc-button__label" },
          h("slot", null)))));
  }
  static get is() { return "nk-sold-out"; }
  static get encapsulation() { return "shadow"; }
  static get originalStyleUrls() { return {
    "$": ["nk-sold-out.scss"]
  }; }
  static get styleUrls() { return {
    "$": ["nk-sold-out.css"]
  }; }
}
